Bug 172481 - [PATCH] databases/py-redis: update to 2.7.0, take maintainership, Add OPTIONS + more
Summary: [PATCH] databases/py-redis: update to 2.7.0, take maintainership, Add OPTIONS...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-08 11:10 UTC by koobs
Modified: 2012-11-28 03:46 UTC (History)
1 user (show)

See Also:


Attachments
py27-redis-2.7.0.patch (5.54 KB, patch)
2012-10-08 11:10 UTC, koobs
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description koobs 2012-10-08 11:10:12 UTC
- Update to 2.7.0
- Take maintainership (approved: clsung @ IRC w/ sbz)
- Add CHEESESHOP as primary MASTERSITE
- Remove LICENSE_FILE for those in bsd.licenses.db.mk
- Whitespace alignment
- Add HIREDIS OPTIONng
- Use easy_install (make tests easier to run)
- Add zip_safe=False to setup.py
- Update and sort pkg-plist
- Replace dirrmtry with dirrm
- New Makefile header convention

Changes: (2.4.13 -> 2.7.0):

https://github.com/andymccurdy/redis-py/blob/2.7.0/CHANGES

====[QA]====

supersedes: ports/170648

portlint: looks fine.
porttest: OK
redports: https://redports.org/buildarchive/20121008082149-16785/
unittest: Ran 157 tests in 7.814s - OK (skipped=12)

Note: tested against databases/redis-devel
============

Port maintainer (clsung@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2012-10-08 11:10:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Steve Wills freebsd_committer 2012-11-17 12:10:54 UTC
Responsible Changed
From-To: clsung->swills

I'll take it.
Comment 3 Steve Wills freebsd_committer 2012-11-28 03:46:08 UTC
State Changed
From-To: open->closed

Committed. Thanks!